package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * product
 *
 * @author
 */
@Data
public class ProductPo implements Serializable {
    private Integer productID;

    /**
     * 品牌Id
     */
    private Integer brandID;

    /**
     * 一级分类ID
     */
    private Integer bigTypeID;

    /**
     * 二级分类ID
     */
    private Integer smallTypeID;

    /**
     * 三级分类Id
     */
    private Integer tinyTypeID;

    /**
     * 小程序商品分类Id(已废弃)
     */
    private Integer classifyId;

    /**
     * 商品的类别：1正常商品(默认)，2二手商品
     */
    private String productCategory;

    /**
     * 常用商品001，精品推荐010，热门推荐100，三者同时存在111
     */
    private Integer preferredFlag;

    private Integer selfTypeID;

    /**
     * 所属供应商Id
     */
    private Integer shopID;

    /**
     * 名称
     */
    private String name;

    /**
     * 内部商品名称
     */
    private String aliasName;

    /**
     * 搜索关键词,4个用双##区分,不存在的直接逗号隔空(顺序参考:品牌,学名,市场称呼,大类别,小类别)
     */
    private String searchKey;

    /**
     * 商品备注
     */
    private String productRemarks;

    /**
     * 市场价
     */
    private Double normalPrice;

    private Double price;

    /**
     * 最低价【V6.2.0版本已废弃】
     */
    private Double highestUserLevelPrice;

    /**
     * 最高价【V6.2.0版本已废弃】
     */
    private Double lowestUserLevelPrice;

    /**
     * 最高价会员等级【V6.2.0版本已废弃】
     */
    private Integer lowestUserLevelID;

    /**
     * 普通用户价格，【V6.2.0版本已废弃】
     */
    private Double price0;

    /**
     * 普通用户价格等级(范围1-5)【V6.2.0版本已废弃】
     */
    private String price0Grade;

    /**
     * 普通用户价格文字【V6.2.0版本已废弃】
     */
    private String price0Text;

    /**
     * 普通用户文字展示标志 0显示价格 1显示文字 2显示等级【V6.2.0版本已废弃】
     */
    private String price0TextFlag;

    /**
     * 机构价格（同为二手商品的交易价）
     */
    private Double price1;

    /**
     * 机构用户价格等级(范围1-5)【V6.2.0版本已废弃-根据价格范围显示等级】
     */
    private String price1Grade;

    /**
     * 机构用户价格文字【V6.2.0版本已废弃-目前都是前端直接写死】
     */
    private String price1Text;

    /**
     * 是否公开机构价 0公开价格 1不公开价格 2仅对会员机构公开
     */
    private String price1TextFlag;

    /**
     * 游客价格【V6.2.0版本已废弃】
     */
    private Double price8;

    /**
     * 游客用户价格等级(范围1-5)【V6.2.0版本已废弃】
     */
    private String price8Grade;

    /**
     * 游客价格文字【V6.2.0版本已废弃】
     */
    private String price8Text;

    /**
     * 游客用户文字展示标志 0显示价格 1显示文字 2显示等级【V6.2.0版本已废弃】
     */
    private String price8TextFlag;

    /**
     * 启用阶梯价格标识 0否 1是
     */
    private String ladderPriceFlag;

    /**
     * 银卡价【V6.2.0版本已废弃】
     */
    private Double price2;

    /**
     * 金卡价【V6.2.0版本已废弃】
     */
    private Double price3;

    /**
     * 铂金价【V6.2.0版本已废弃】
     */
    private Double price4;

    /**
     * 钻石价【V6.2.0版本已废弃】
     */
    private Double price5;

    /**
     * 普通服务商价【V6.2.0版本已废弃】
     */
    private Double price6;

    /**
     * 金牌服务商价【V6.2.0版本已废弃】
     */
    private Double price7;

    /**
     * 运费【V6.2.0版本已废弃】
     */
    private Double fee;

    /**
     * 库存(同为二手商品的数量)
     */
    private Integer stock;

    /**
     * 是否有sku：1有， 0没有
     */
    private String hasSkuFlag;

    /**
     * 主图
     */
    private String mainImage;

    /**
     * sku属性
     */
    private String propertiesInfo;

    /**
     * 添加时间
     */
    private String addTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 小程序分类添加时间(已废弃)
     */
    private Date classifyAddTime;

    /**
     * 销量
     */
    private Integer sellNumber;

    private Integer weekSellNumber;

    private String beforeValidFlag;

    /**
     * 商品状态，见表c_productstatus或枚举ProductStatus，0逻辑删除 1待审核 2已上架 3已下架 8审核未通过 9已隐身 10已冻结
     */
    private String validFlag;

    /**
     * 收藏量
     */
    private Integer favoriteTimes;

    /**
     * 评论分数
     */
    private Double commentScore;

    /**
     * 评论次数
     */
    private Integer commentTimes;

    private String selfRecommendFlag;

    private String sysRecommendFlag;

    /**
     * 排序值
     */
    private Integer sortIndex;

    /**
     * 供应商主推商品标志 0否 1是
     */
    private String featuredFlag;

    /**
     * 供应商主推商品排序
     */
    private Integer featuredSortIndex;

    /**
     * 商品货号
     */
    private String productCode;

    private Double rate1;

    private Double rate2;

    /**
     * 包装规格
     */
    private String unit;

    /**
     * 是否推送到ERP，1已推送， 空或0未推送
     */
    private String synToERPFlag;

    /**
     * 销售区域：1全部区域， 0指定区域
     */
    private String allAreaFlag;

    /**
     * 指定的销售区域
     */
    private String provinceIDs;

    /**
     * 服务起订量
     */
    private String serviceNumber;

    /**
     * 最大购买量
     */
    private Integer maxBuyNumber;

    private String virtualFlag;

    /**
     * 最小购买量
     */
    private Integer minBuyNumber;

    /**
     * 最小包装数量
     */
    private Integer packageCount;

    /**
     * 运费：0买家承担， 1卖家承担
     */
    private String byFlag;

    /**
     * 普通商品标志 1是
     */
    private Integer normalProductFlag;

    private Integer wholeSaleProductFlag;

    private Integer promotionProductFlag;

    private Integer groupBuyProductFlag;

    /**
     * 购买数量: 1逐步增长,2以起订量增长(起订量的倍数增长)
     */
    private Integer step;

    private String speCommisionFlag;

    private Double speCommision;

    private String videourl;

    private String props;

    private String providers;

    private Double serviceCommissionRatio;

    private Double reCommissionRatio;

    /**
     * 推送到ERP的原商品名称 name字段的名称可能做修改已适应平台的搜索
     */
    private String pushToERPName;

    private Integer prodBeans;

    /**
     * 该商品是否可以使用采美豆购买
     */
    private Integer useBeansFlag;

    /**
     * 0开放市场 1私有市场
     */
    private Integer privateFlag;

    private String invisibleServiceProviderIDs;

    private String displayOnCRMFlag;

    private String needServiceFlag;

    /**
     * 是否使用活动角标：1是，空或0不是[与actType搭配使用,仅用于标识非真正活动]
     */
    private Integer actFlag;

    /**
     * 商品是否处于活动状态：1是，空或0不是[活动商品和actFlag含义不同]
     */
    private Integer actStatus;

    /**
     * 活动商品排序
     */
    private Long actSort;

    /**
     * 普通用户活动价格【V6.2.0版本已废弃】
     */
    private BigDecimal actPrice0;

    /**
     * 机构活动价（对应actStatus的活动下使用）
     */
    private BigDecimal actPrice1;

    /**
     * 银卡会员活动价【V6.2.0版本已废弃】
     */
    private BigDecimal actPrice2;

    /**
     * 金卡会员活动价【V6.2.0版本已废弃】
     */
    private BigDecimal actPrice3;

    /**
     * 铂金会员活动价【V6.2.0版本已废弃】
     */
    private BigDecimal actPrice4;

    /**
     * 钻石会员活动价【V6.2.0版本已废弃】
     */
    private BigDecimal actPrice5;

    /**
     * 普通服务商活动价【V6.2.0版本已废弃】
     */
    private BigDecimal actPrice6;

    /**
     * 金牌服务商活动价【V6.2.0版本已废弃】
     */
    private BigDecimal actPrice7;

    /**
     * 首页活动角标标识类型：1推荐热销、2推荐上新
     */
    private Integer actType;

    /**
     * 活动创建时间（对应actStatus的活动下使用）
     */
    private Date actCreateTime;

    /**
     * 满减金额(达到该金额后可享直减)
     */
    private BigDecimal actFullReduceAmount;

    /**
     * 购买直减金额(达到满金额后)
     */
    private BigDecimal actReduceAmount;

    /**
     * 商品可见度：（3:所有人可见，2:普通机构可见，1:会员机构可见）
     */
    private String visibility;

    /**
     * 满增金额(达到满赠金额后可享赠品) 【V6.4.2版本已废弃】
     */
    private BigDecimal actFullGiftAmount;

    /**
     * 买赠数量(达到该数量后可享赠品)【V6.4.2版本已废弃】
     */
    private Long actBuyGiftNum;

    /**
     * 活动开始时间（对应actStatus的活动下使用）
     */
    private Date beginTime;

    /**
     * 活动结束时间（对应actStatus的活动下使用）
     */
    private Date endTime;

    /**
     * 【V6.2.0版本已废弃】
     */
    private Integer shopIndexModuleID;

    /**
     * 上架时间
     */
    private Date onlineTime;

    /**
     * 下架时间
     */
    private Date downlineTime;

    /**
     * 是否包邮 0包邮 1到付 2默认（遵循运费规则）
     */
    private String freePostFlag;

    /**
     * crm一级商品分类
     */
    private Integer crmBigTypeId;

    /**
     * crm二级商品分类
     */
    private Integer crmSmallTypeId;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 比例成本百分比
     */
    private BigDecimal costProportional;

    /**
     * 成本价选中标志：1固定成本 2比例成
     */
    private String costCheckFlag;

    private String precisehKey;

    private Double docBoost;

    /**
     * 是否采美豆专区商品(0 否,1 是)
     */
    private String cmbeanFlag;

    /**
     * 采美豆专区价格(采美豆)
     */
    private Integer cmbeanPrice;

    /**
     * 采美豆专区排序(值越大越前)
     */
    private Short cmbeanSort;

    /**
     * 商品标签用英文逗号隔开，中文逗号或其它一律不作切割
     */
    private String tags;

    private String surplusTime;

    /**
     * 商品类型：0其它类型(默认)，1妆字号，2械字号
     */
    private String productType;

    /**
     * 械字号类型   (基于械字号基础) ,1：一类，2：二类，3：三类
     */
    private String machineType;

    /**
     * 械字号资质证书图 (基于械字号基础)
     */
    private String qualificationImg;

    /**
     * 是否含税   0不含税，1含税，2未知
     */
    private String includedTax;

    /**
     * 开票税点(基于不含税基础) :增值税默认13%，普通票6%取值范围[0-100]
     */
    private BigDecimal taxPoint;

    /**
     * 供应商税率:增值专用发票默认13%，增值税普通发票6%取值范围[0-100]
     */
    private BigDecimal supplierTaxPoint;

    /**
     * 发票类型(基于是否含税基础)   1增值税票，2普通票, 3不能开票
     */
    private String invoiceType;

    /**
     * 相关推荐类型 0自动选择; 1手动推荐
     */
    private String recommendType;

    private Integer skuID;

    /**
     * V6.2.0版本已废弃】
     */
    private String priceType;

    /**
     * 商品组合Id、(cm_product_combination表Id)
     */
    private Integer combinationID;

    /**
     * 组合商品排序
     */
    private Integer combinationSort;

    /**
     * 商品属性：1产品，2仪器
     */
    private String commodityType;

    /**
     * 供应商名称
     */
    private String shopName;

    private static final long serialVersionUID = 1L;
}